![GitHub Repo stars](https://img.shields.io/github/stars/OpenBoard-org/openboard)
![GitHub Repo forks](https://img.shields.io/github/forks/OpenBoard-org/openboard)
# OpenBoard
[![latest release](https://img.shields.io/github/v/release/OpenBoard-org/openboard.svg)]()
[![Commits since last release](https://img.shields.io/github/commits-since/OpenBoard-org/openboard/v1.7.1/dev)]()
[![Github Repo Contributors](https://img.shields.io/github/contributors/OpenBoard-org/openboard.svg)]()
[![downloads v1.7.1](https://img.shields.io/github/downloads/OpenBoard-org/openboard/v1.7.1/total)]()
[![Github All Releases](https://img.shields.io/github/downloads/OpenBoard-org/OpenBoard/total.svg)]()

OpenBoard is an open source cross-platform interactive white board application designed primarily for use in schools. It was originally forked from Open-Sankoré, which was itself based on Uniboard.

### Installing
1.7.1 installers are available for Windows, OS X and Ubuntu on the [Download's page](https://github.com/OpenBoard-org/OpenBoard/wiki/Downloads).

### Supported platforms 

| Version   | officially maintained platforms | branch |
|------------|--------------------------------------------------------|----|
| 1.7.1 (latest stable)     | Windows 10+, macOS 12+ (for both `x64_64` and `arm64`), Ubuntu 20.04, Ubuntu 22.04 | `master` |
| 1.7.2 (active development)     | Windows 10+, macOS 12+ (for both `x64_64` and `arm64`), Debian 12 | `dev` |

### Communnity-driven packages
On Linux, Ubuntu is the only officially maintained platform. For other platforms, you can thank the awesome community of OpenBoard that provides some cool stuff like a FlatHub package, or OpenSuse support. Check on [this page](https://github.com/OpenBoard-org/OpenBoard/wiki/Downloads) to see if you find what you're looking for. If you actually want to provide support and to be referenced on this page, please open an issue with the relevant information, and we'll be glad to add your contribution.

### Building from source
If you didn't find any installer for your platform, or if you want to modify OpenBoard, you can find instructions on how to build OpenBoard from source on the [wiki](https://github.com/OpenBoard-org/OpenBoard/wiki/Build-OpenBoard-from-source).

### Qt support
OpenBoard can be compiled with the latest open source binaries of Qt 5.15 and Qt 6. On macOS, it is recommended to use Qt 6. You should also be able to compile OpenBoard using Qt 5.12, but it is not officially tested/supported.

### Web Widgets

Even with not a single bit of knowledge in C++, you can contribute to OpenBoard. Web Widgets are websites that you can put and use directly on the board ! And to turn a website to an OpenBoard web widget is really simple !

Download and install OpenBoard, and develop your web app in it. You'll even find a web inspector to help you debug your site.

You'll find documentation on how to create a Web Widget from scratch or tunring your already developped web site into an OpenBoard Web Widget [here](https://github.com/OpenBoard-org/OpenBoard/wiki/Creating-Web-Widgets).
